> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lidian.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Swap

> Execute a swap

Execute a swap given an accepted quote.


## OpenAPI

````yaml POST /api/v1/swaps
openapi: 3.1.0
info:
  title: Lidian Protocol API
  description: REST and WebSocket API for the Lidian cross-chain stablecoin swap protocol
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.lidian.finance
    description: API
security:
  - apiKeyAuth: []
paths:
  /api/v1/swaps:
    post:
      description: Execute a swap
      requestBody:
        description: Swap execution parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteSwapRequest'
        required: true
      responses:
        '200':
          description: Swap executed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapResponse'
components:
  schemas:
    ExecuteSwapRequest:
      type: object
      required:
        - orderId
        - quoteId
        - signature
      properties:
        orderId:
          type: string
        quoteId:
          type: string
        signature:
          type: string
    SwapResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: object
          properties:
            orderId:
              type: string
            blockchainOrderId:
              type: string
            order:
              type: object
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````